<!DOCTYPE html>
<html lang="en" class="gr__getbootstrap_com" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"><head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Jekyll v3.8.5">
    <title>Album example · Bootstrap</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/4.3/examples/album/">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>


    <!-- Bootstrap core CSS -->
    <link href="/docs/4.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">


    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }
    </style>
    <!-- Custom styles for this template -->
    <link href="album.css" rel="stylesheet">
</head>
<body data-gr-c-s-loaded="true">
<header>
    <div class="collapse bg-dark" id="navbarHeader">
        <div class="container">
            <div class="row">
                <div class="col-sm-8 col-md-7 py-4">
                    <h4 class="text-white">About</h4>
                    <p class="text-muted">Add some information about the album below, the author, or any other background context. Make it a few sentences long so folks can pick up some informative tidbits. Then, link them off to some social networking sites or contact information.</p>
                </div>
                <div class="col-sm-4 offset-md-1 py-4">
                    <h4 class="text-white">Contact</h4>
                    <ul class="list-unstyled">
                        <li sec:authorize="isAuthenticated()"><a href="#" class="text-white" th:href="@{/beers/new}">Create new beer</a></li>
                        <li sec:authorize="isAuthenticated()"><a href="#" class="text-white" th:href="@{/breweries/new}">Create new brewery</a></li>
                        <li sec:authorize="hasRole('ROLE_ADMIN')"><a href="#" class="text-white" th:href="@{/breweries/{id}/edit}">Edit brewery</a></li>
                        <li sec:authorize="hasRole('ROLE_ADMIN')"><a href="#" class="text-white" th:href="@{/breweries/{id}/delete}">Delete brewery</a></li>
                        <li sec:authorize="isAuthenticated()"><a href="#" class="text-white" th:href="@{/tags/new}">Create new tag</a></li>
                        <li sec:authorize="hasRole('ROLE_ADMIN')"><a href="#" class="text-white" th:href="@{/tags/{id}/edit}">Edit tag</a></li>
                        <li sec:authorize="hasRole('ROLE_ADMIN')"><a href="#" class="text-white" th:href="@{/tags/{id}/delete}">Delete tag</a></li>
                        <li sec:authorize="isAuthenticated()">
                            <a href="#" class="text-white" th:href="@{users/{id} (id=${currentUserID})}">Profile</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="navbar navbar-dark bg-dark shadow-sm">
        <div class="container d-flex justify-content-between">
            <a href="#" class="navbar-brand d-flex align-items-center">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" aria-hidden="true" class="mr-2" viewBox="0 0 24 24" focusable="false"><path d="M23 19a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h4l2-3h6l2 3h4a2 2 0 0 1 2 2z"></path><circle cx="12" cy="13" r="4"></circle></svg>
                <strong>Album</strong>
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarHeader" aria-controls="navbarHeader" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
        </div>
    </div>
</header>

<main role="main">

    <section class="jumbotron text-center">
        <div class="container">
            <h1 class="jumbotron-heading">Beer Tag</h1>
            <p class="lead text-muted">Something short and leading about the collection below—its contents, the creator, etc. Make it short and sweet, but not too short so folks don’t simply skip over it entirely.</p>
            <p>
                <a th:href="@{/beers/sorted/by/ABV}"><button>Sort Beers by ABV</button></a>
                <a th:href="@{/beers/sorted/by/rating}"><button>Sort Beers by Rating</button></a>
                <a th:href="@{/beers/sorted/alphabetically}"><button>Sort Beers by Name</button></a>
            <form class="nav-item" th:action="@{/beers/filterBy}" method="get">
                <label>Country Filter:</label>
                <input type="text" id="countryFilter" name="country"/>
                <input type="submit" value="Filter">
            </form>
            <form class="nav-item" th:action="@{/beers/filterBy}" method="get">
                <label>Style Filter:</label>
                <input type="text" id="styleFilter" name="style"/>
                <input type="submit" value="Filter">
            </form>
            <form class="nav-item" th:action="@{/beers/filterBy}" method="get">
                <label>Tag Filter:</label>
                <input type="text" id="tagFilter" name="tag"/>
                <input type="submit" value="Filter">
            </form>

            </p>
        </div>
    </section>

    <div th:if="${beersList.isEmpty()}">
        <h2 th:text="#{beersTable.header.noBeers}">No Beers</h2>
    </div>

    <div th:unless="${beersList.isEmpty()}">

        <h2 th:text="#{beersTable.header}">Beers (design)</h2>

        <div class="album py-5 bg-light">
            <div class="container">

                <div class="row">
                    <div class="col-md-4" th:each="beer : ${beersList}">
                        <div class="card mb-4 shadow-sm">
                            <img th:src="${beer.picture}" style="width: 100%; max-width: 125px;" />
                            <div class="card-body">
                                <div class="cell" >
                                    <label>Beer Name: </label><span th:text="${beer.getName()}">Petar</span>
                                </div>
                                <div class="cell" >
                                    <label>Beer ABV: </label><span th:text="${beer.getABV()}">Petar</span>
                                </div>
                                <div class="cell" >
                                    <label>Average Rating: </label><span th:text="${beer.getAverageRating()}">Petar</span>
                                </div>
                                <div class="d-flex justify-content-between align-items-center">
                                    <div class="btn-group">
                                        <a sec:authorize="isAuthenticated()" th:href="@{beers/{id} (id=${beer.id})}"><button type="button" class="btn btn-sm btn-outline-secondary">Details</button></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>

    </div>




</main>

<footer class="text-muted">
    <div class="container">
        <p class="float-right">
            <a href="#">Back to top</a>
        </p>
        <p>Album example is © Bootstrap, but please download and customize it for yourself!</p>
        <p>New to Bootstrap? <a href="https://getbootstrap.com/">Visit the homepage</a> or read our <a href="/docs/4.3/getting-started/introduction/">getting started guide</a>.</p>
    </div>
</footer>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>

</body></html>
